Skip to main content
PATCH
/
api
/
v3
/
store
/
orders
/
{order_id}
/
line_items
/
{id}
Spree SDK
import { createSpreeClient } from '@spree/sdk'

const client = createSpreeClient({
  baseUrl: 'https://your-store.com',
  publishableKey: '<api-key>',
})

const order = await client.store.orders.lineItems.update('or_abc123', 'li_abc123', {
  quantity: 5,
}, {
  bearerToken: '<token>',
})
{
  "id": "or_UkLWZg9DAJ",
  "number": "R289193947",
  "state": "cart",
  "token": "znvNeiyfM5khVnD7pwkM8Q5BvJkVNfW8FC9",
  "email": "shirlee.donnelly@kessler.ca",
  "special_instructions": null,
  "currency": "USD",
  "locale": "en",
  "item_count": 0,
  "state_lock_version": 1,
  "shipment_state": null,
  "payment_state": null,
  "item_total": "0.0",
  "display_item_total": "$0.00",
  "ship_total": "0.0",
  "display_ship_total": "$0.00",
  "adjustment_total": "0.0",
  "display_adjustment_total": "$0.00",
  "promo_total": "0.0",
  "display_promo_total": "$0.00",
  "tax_total": "0.0",
  "display_tax_total": "$0.00",
  "included_tax_total": "0.0",
  "display_included_tax_total": "$0.00",
  "additional_tax_total": "0.0",
  "display_additional_tax_total": "$0.00",
  "total": "0.0",
  "display_total": "$0.00",
  "completed_at": null,
  "created_at": "2026-03-05T10:13:16.651Z",
  "updated_at": "2026-03-05T10:13:16.690Z",
  "order_promotions": [],
  "line_items": [
    {
      "id": "li_UkLWZg9DAJ",
      "variant_id": "variant_UkLWZg9DAJ",
      "quantity": 1,
      "currency": "USD",
      "name": "Product 283574",
      "slug": "product-283574",
      "options_text": "",
      "price": "10.0",
      "display_price": "$10.00",
      "total": "10.0",
      "display_total": "$10.00",
      "adjustment_total": "0.0",
      "display_adjustment_total": "$0.00",
      "additional_tax_total": "0.0",
      "display_additional_tax_total": "$0.00",
      "included_tax_total": "0.0",
      "display_included_tax_total": "$0.00",
      "promo_total": "0.0",
      "display_promo_total": "$0.00",
      "pre_tax_amount": "10.0",
      "display_pre_tax_amount": "$10.00",
      "discounted_amount": "10.0",
      "display_discounted_amount": "$10.00",
      "display_compare_at_amount": "$0.00",
      "created_at": "2026-03-05T10:13:16.690Z",
      "updated_at": "2026-03-05T10:13:16.710Z",
      "compare_at_amount": null,
      "thumbnail_url": null,
      "option_values": [],
      "digital_links": []
    }
  ],
  "shipments": [],
  "payments": [],
  "bill_address": {
    "id": "addr_EfhxLZ9ck8",
    "firstname": "John",
    "lastname": "Doe",
    "full_name": "John Doe",
    "address1": "148 Lovely Street",
    "address2": "Northwest",
    "city": "Herndon",
    "zipcode": "35005",
    "phone": "555-555-0199",
    "company": "Company",
    "country_name": "United States of America",
    "country_iso": "US",
    "state_text": "STATE_ABBR_148",
    "state_abbr": "STATE_ABBR_148",
    "quick_checkout": false,
    "state_name": "STATE_NAME_148"
  },
  "ship_address": null,
  "payment_methods": []
}

Authorizations

x-spree-api-key
string
header
required

Publishable API key for store access

Authorization
string
header
required

JWT token for authenticated customers

Headers

x-spree-api-key
string
required
Authorization
string
x-spree-order-token
string

Path Parameters

order_id
string
required
id
string
required

Line item ID

Body

application/json
quantity
integer
Required range: x >= 1
Example:

5

metadata
object

Arbitrary key-value metadata (merged with existing)

Example:
{ "engraving": "J.D." }

Response

200 - application/json

metadata updated on line item

id
string
required
number
string
required
state
string
required
token
string
required
email
string | null
required
special_instructions
string | null
required
currency
string
required
locale
string | null
required
item_count
number
required
state_lock_version
number
required
shipment_state
string | null
required
payment_state
string | null
required
item_total
string
required
display_item_total
string
required
ship_total
string
required
display_ship_total
string
required
adjustment_total
string
required
display_adjustment_total
string
required
promo_total
string
required
display_promo_total
string
required
tax_total
string
required
display_tax_total
string
required
included_tax_total
string
required
display_included_tax_total
string
required
additional_tax_total
string
required
display_additional_tax_total
string
required
total
string
required
display_total
string
required
completed_at
string | null
required
created_at
string
required
updated_at
string
required
order_promotions
object[]
required
line_items
object[]
required
shipments
object[]
required
payments
object[]
required
bill_address
object
required
ship_address
object
required
payment_methods
object[]
required